|
|
Hi,
I uploaded an NMU of your package.
Please see this as help to get the package into a releaseable condition for
etch.
Please find the used diff below.
Cheers,
Andi
diff -Nur ../jabber-1.4.3~/debian/changelog ../jabber-1.4.3/debian/changelog
--- ../jabber-1.4.3~/debian/changelog 2006-12-30 10:08:46.000000000 +0000
+++ ../jabber-1.4.3/debian/changelog 2006-12-31 09:47:17.000000000 +0000
@@ -1,3 +1,19 @@
+jabber (1.4.3-3.1) unstable; urgency=medium
+
+ [ Sergei Golovan ]
+ * added patch, which increases buffers for storing string representation
+ of time (Closes: #337526)
+ * bumped standards version to 3.7.2
+
+ [ Andreas Barth ]
+ * non-maintainer upload
+ * rebuild should change dependency from libpth2 to libpth20. Closes: #404378
+ * add IPv6-support. Closes: #334414
+ * fix typos in description and jabberd.8. Closes: #300020, #337538
+ * Update description, partly fixes #404816.
+
+ -- Andreas Barth <aba@xxxxxxxxxxxxxxx> Sat, 30 Dec 2006 10:10:28 +0000
+
jabber (1.4.3-3) unstable; urgency=low
* added patch to correct libexpat vulnerability (Closes: #272408)
diff -Nur ../jabber-1.4.3~/debian/control ../jabber-1.4.3/debian/control
--- ../jabber-1.4.3~/debian/control 2006-12-30 10:08:46.000000000 +0000
+++ ../jabber-1.4.3/debian/control 2006-12-31 09:46:29.000000000 +0000
@@ -2,7 +2,7 @@
Section: net
Priority: optional
Maintainer: Jamin W. Collins <jcollins@xxxxxxxxxxxxxxxx>
-Standards-Version: 3.6.1.0
+Standards-Version: 3.7.2
Build-Depends: dpatch, libpth-dev (>=2.0.0), libssl-dev (>=0.9.5), debhelper
(>=4), libexpat1-dev (>= 1.95.6)
Package: jabber
@@ -11,20 +11,20 @@
Conflicts: jabber-aim (<= 20030314-6), jabber-jit (<= 1.1.6-6), jabber-jud (<=
0.4-7), jabber-muc (<= 0.5.2-6), jabber-msn (<= 1.2.1-1.2.8rc1-1), jabber-yahoo
(<= 2.2.0-1), jabber-dev (<< ${Source-Version})
Replaces: jabber-transport
Provides: jabber-transport, ${jabber:Provides}
-Description: Daemon for the jabber.org Open Source Instant Messenger
+Description: An instant messaging server using the Jabber/XMPP protocol
Jabber is a Free Instant Messaging System
.
In this Package you will find jabberd, a message transport server
- based on a XML Message Routing Infrastructure.
+ based on an XML Message Routing Infrastructure.
.
All this high-tech is simply used to provide you with your own IM Server.
- See http://www.jabber.org/ for more details.
+ See www.jabberd.org/">http://www.jabberd.org/ for more details.
.
Jabber supports connecting to AIM, ICQ, IRC, MSN and a lot of others, so
you can use all available IM systems from one client.
.
This package does not provide a jabber client. Some jabber clients are
- compared at www.jabber.org/user/clientlist.php?Platform=Linux">http://www.jabber.org/user/clientlist.php?Platform=Linux
+ compared at en.wikipedia.org/wiki/List_of_Jabber_client_software">http://en.wikipedia.org/wiki/List_of_Jabber_client_software
Package: jabber-dev
Section: devel
@@ -38,7 +38,7 @@
jabber plugins e.g. transports.
.
All this high-tech is simply used to provide you with your own IM Server.
- See www.jabber.org/">http://www.jabber.org/ for more details.
+ See www.jabberd.org/">http://www.jabberd.org/ for more details.
.
Jabber supports connecting to AIM, ICQ, IRC, MSN and a lot of others, so
you can use all available IM systems from one client.
diff -Nur ../jabber-1.4.3~/debian/jabberd.8 ../jabber-1.4.3/debian/jabberd.8
--- ../jabber-1.4.3~/debian/jabberd.8 2006-12-30 10:08:46.000000000 +0000
+++ ../jabber-1.4.3/debian/jabberd.8 2006-12-30 10:21:17.000000000 +0000
@@ -19,12 +19,12 @@
.SH DESCRIPTION
.LP
Jabber is a Free Instant Messaging System, which is designed to interoperate
-with several other IM systems, such as AIM, ICQ, IRC, MSM, so you only need
+with several other IM systems, such as AIM, ICQ, IRC, MSN, so you only need
one client to use all these IM systems.
.br
This manpage describes the jabber server daemon, \fIjabberd\fR.
.br
-The daemon, when called, will look for its the configuration file, in
+The daemon, when called, will look for its configuration file, in
\fI/etc/jabber/jabber.xml\fR (or elsewhere if you use the \-c option), and
start
listening on port 5222.
diff -Nur ../jabber-1.4.3~/debian/patches/00list
../jabber-1.4.3/debian/patches/00list
--- ../jabber-1.4.3~/debian/patches/00list 2006-12-30 10:08:46.000000000
+0000
+++ ../jabber-1.4.3/debian/patches/00list 2006-12-30 10:09:29.000000000
+0000
@@ -3,3 +3,4 @@
base_file
config
jabberd-1.4.3-extexpat
+timebuffs.dpatch
diff -Nur ../jabber-1.4.3~/debian/patches/timebuffs.dpatch
../jabber-1.4.3/debian/patches/timebuffs.dpatch
--- ../jabber-1.4.3~/debian/patches/timebuffs.dpatch 1970-01-01
00:00:00.000000000 +0000
+++ ../jabber-1.4.3/debian/patches/timebuffs.dpatch 2006-12-30
10:09:29.000000000 +0000
@@ -0,0 +1,86 @@
+#! /bin/sh -e
+## timebuffs.dpatch by Sergei Golovan <sgolovan@xxxxxx>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Increases buffer lengths for storing string representation of
+## DP: time(NULL) and character counts.
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+if [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+case "$1" in
+ -patch) patch $patch_opts -p1 < $0;;
+ -unpatch) patch $patch_opts -Rp1 < $0;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1;;
+esac
+
+exit 0
+diff -ru jabber-1.4.3.old/jsm/modules/mod_admin.c
jabber-1.4.3/jsm/modules/mod_admin.c
+--- jabber-1.4.3.old/jsm/modules/mod_admin.c 2002-02-08 10:44:17.000000000
+0300
++++ jabber-1.4.3/jsm/modules/mod_admin.c 2006-12-29 11:29:51.000000000
+0300
+@@ -48,7 +48,7 @@
+ session s = js_session_primary(u);
+ spool sp;
+ int t = time(NULL);
+- char buff[10];
++ char buff[128];
+
+ /* make a user generic entry */
+ x = xmlnode_insert_tag(browse,"user");
+@@ -111,7 +111,7 @@
+ session s;
+ xmlnode x;
+ time_t t;
+- char buff[10];
++ char buff[128];
+
+ t = time(NULL);
+
+diff -ru jabber-1.4.3.old/jsm/modules/mod_last.c
jabber-1.4.3/jsm/modules/mod_last.c
+--- jabber-1.4.3.old/jsm/modules/mod_last.c 2002-02-08 10:44:17.000000000
+0300
++++ jabber-1.4.3/jsm/modules/mod_last.c 2006-12-29 11:32:12.000000000
+0300
+@@ -43,7 +43,7 @@
+ mreturn mod_last_server(mapi m, void *arg)
+ {
+ time_t start = time(NULL) - *(time_t*)arg;
+- char str[10];
++ char str[16];
+ xmlnode last;
+
+ /* pre-requisites */
+@@ -66,7 +66,7 @@
+ void mod_last_set(mapi m, jid to, char *reason)
+ {
+ xmlnode last;
+- char str[10];
++ char str[16];
+
+ log_debug("mod_last","storing last for user %s",jid_full(to));
+
+diff -ru jabber-1.4.3.old/jsm/modules/mod_offline.c
jabber-1.4.3/jsm/modules/mod_offline.c
+--- jabber-1.4.3.old/jsm/modules/mod_offline.c 2002-12-03 07:30:02.000000000
+0300
++++ jabber-1.4.3/jsm/modules/mod_offline.c 2006-12-29 11:33:35.000000000
+0300
+@@ -49,7 +49,7 @@
+ {
+ session top;
+ xmlnode cur = NULL, cur2;
+- char str[10];
++ char str[16];
+
+ /* if there's an existing session, just give it to them */
+ if((top = js_session_primary(m->user)) != NULL)
+@@ -123,7 +123,7 @@
+ xmlnode opts, cur, x;
+ int now = time(NULL);
+ int expire, stored, diff;
+- char str[10];
++ char str[16];
+
+ log_debug("mod_offline","avability established, check for messages");
+
diff -Nur ../jabber-1.4.3~/debian/rules ../jabber-1.4.3/debian/rules
--- ../jabber-1.4.3~/debian/rules 2006-12-30 10:08:46.000000000 +0000
+++ ../jabber-1.4.3/debian/rules 2006-12-30 10:39:36.000000000 +0000
@@ -17,7 +17,7 @@
build: build-stamp
build-stamp: patch-stamp
dh_testdir
- ./configure --enable-ssl
+ ./configure --enable-ssl --enable-ipv6
$(MAKE)
# cd docs ; ${MAKE} html
touch build-stamp
--
home.arcor.de/andreas-barth/">http://home.arcor.de/andreas-barth/
--
To UNSUBSCRIBE, email to debian-bugs-dist-REQUEST@xxxxxxxxxxxxxxxx
with a subject of "unsubscribe". Trouble? Contact listmaster@xxxxxxxxxxxxxxxx
|
|